Subject: Re: Regarding: Debian: packaging updates.

From: Simon Richter <[email-masked]>
Date: Tue, 08 Nov 2005 19:31:19 +0100

Hi,

Johannes Schindelin wrote:

> I notice that there are files like "git-core.files". Wouldn't it be better 
> to generate them from the Makefile? The same mechanism could then be used 
> to make RPMs from the same Makefile.

I'm currently in the process of working my way through the current 
packaging, and there is quite a lot I am going to simplify. As the 
Debian build scripts do not expect this file to be autogenerated, I 
think it would be counterproductive to do so; it can seriously affect 
reproducability of builds.

(actually, I would like to ask not to fix things in the Debian packaging 
that aren't broken, as providing an upgrade path for earlier versions 
will be a lot less painful then)

    Simon